#include <iostream>
using namespace std;

long long Suma(long long a) {
	long long zbir = 0;
	for  (int j = 1; j <=a; j++) {
		zbir+=j;
	}
	return zbir;
}

bool Proveri(long long N, long long M, long long K){
	long long s;
	s = Suma(N);
	if (K==1) {
		if (M>=s) {
			return true;
		}
		else {
			return false;
		}
	}
	else if (K==2) {
		return Proveri(N-1, M-1, 1);
	}
	else {
		if (N==3) {
			if (K==2 && M>=4) {
				return true;
			}
			else if (K==3 && M>=3) {
				return true;
			}
			else {
				return false;
			}
		}
	}
}

int main() {
	long long T;
	cin>>T;
	long long a[T][3];
	
	for (int i=0; i<T; i++){
		cin>>a[i][0]>>a[i][1]>>a[i][2];
	}
	
	for (int i=0; i<T; i++){
		bool moze;
		moze = Proveri(a[i][0], a[i][1], a[i][2]);
		if (moze) {
			cout<<"Tak"<<endl;
		}
		else {
			cout<<"Nie"<<endl;
		}
	}
}